package cz.zcu.kiv.cosi.parkoviste.tabule;

import org.osgi.service.event.Event;
import org.osgi.service.event.EventHandler;

import cz.zcu.kiv.cosi.parkoviste.konfigurace.IZapVyp;

public class Tabule implements IZapVyp, EventHandler {

	private boolean zapnuto;

	public Tabule() {
		System.out.println("Tabule created...");
		this.zapnuto = false;
	}

	@Override
	public void vyp() {
		zapnuto = false;
		println("Vypnuto");
	}

	@Override
	public void zap() {
		zapnuto = true;
		println("Zapnuto");
	}
	
	private void println(String output) {
		System.out.println("Tabule: " + output);
	}

	@Override
	public void handleEvent(Event event) {
		if (zapnuto)
		{
			if ("parkoviste/zbyva".equals(event.getTopic()))
				println("Zbyva mist : " + event.getProperty("volnaMista"));
			else
				println("Parkoviste plne!");
		}
	}
}
